Jump to content

MediaWiki:Gadget-LGBT-rainbow.css: Difference between revisions

From Philosophical Research
Reversedragon (talk | contribs)
extend style to data tables - preliminary demo
Reversedragon (talk | contribs)
m tweak swatch gradient
 
Line 11: Line 11:
  }
  }


  dl.hue .field_LGBT:before { background: #a399f2 linear-gradient(135deg,rgba(194,87,87,0.7),rgba(170,154,75,0.7),rgba(178, 219, 64, 0.7),rgba(123, 224, 167, 0.7),rgba(70, 196, 235, 0.7),rgba(70, 134, 235, 0.7)); }
  dl.hue .field_LGBT:before { background: #a399f2 linear-gradient(135deg,rgba(194,87,87,0.7),rgba(170,154,75,0.7),rgba(178,219,64,0.7),rgba(123,224,167,0.7),rgba(15, 177, 240, 0.7),rgba(90, 85, 244, 0.7)); }
}
}


/* [[Category:Hue configuration Gadgets]]
/* [[Category:Hue configuration Gadgets]]
alternate titles:  Gadget-lgbt-rainbow.css */
alternate titles:  Gadget-lgbt-rainbow.css */

Latest revision as of 01:49, 23 March 2026

/* Gadget "field-LGBT-rainbow"  -  displays "field_LGBT" swatch with a soft rainbow gradient as its color
the gradient will be shown all the time instead of only on pages marked "field_LGBT", given that it is far more distinctive and less ambiguous than the violet swatch.

To use this, go to Preferences and select  field-LGBT-rainbow   [https://research.moraleconomy.au/index.php?title=Special:Preferences#mw-prefsection-gadgets] */

@media screen {
 .hue li.field_LGBT:before, ol.hue li.field_LGBT:before, ol.hue li[value].field_LGBT:before  {
   background: #a399f2 linear-gradient(90deg,rgba(194, 87, 87, 0.7), rgba(170, 154, 75, 0.7), rgba(147, 219, 64, 0.7), rgba(123, 224, 140, 0.7), rgba(96, 210, 188, 0.7), rgba(70, 196, 235, 0.7), rgba(96, 116, 230, 0.7), rgba(119, 47, 173, 0.7));
   border-left-color: #680f06;
   border-right-color: #650668;
 }

 dl.hue .field_LGBT:before { background: #a399f2 linear-gradient(135deg,rgba(194,87,87,0.7),rgba(170,154,75,0.7),rgba(178,219,64,0.7),rgba(123,224,167,0.7),rgba(15, 177, 240, 0.7),rgba(90, 85, 244, 0.7)); }
}

/* [[Category:Hue configuration Gadgets]]
alternate titles:   Gadget-lgbt-rainbow.css */